For the complete documentation index, see llms.txt. This page is also available as Markdown.

Members

Manage organization members and roles

List organization members

get

Returns all members of the authenticated organization.

Authorizations
AuthorizationstringRequired

OAuth 2.0 access token obtained from the Spice.ai authentication service

Responses
200

List of organization members

application/json
get/v1/members
GET /v1/members HTTP/1.1
Host: api.spice.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "members": [
    {
      "user_id": 1,
      "username": "text",
      "roles": [
        "text"
      ],
      "is_owner": true,
      "created_at": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Add a member

post

Adds a new member to the organization with the specified roles.

Authorizations
AuthorizationstringRequired

OAuth 2.0 access token obtained from the Spice.ai authentication service

Body
usernamestringRequired

The username of the user to add

rolesstring[]Optional

Roles to assign to the new member

Default: ["member"]
Responses
201

Member added successfully

application/json
user_idintegerOptional
usernamestringOptional
rolesstring[]Optional
created_atstring · date-timeOptional
post/v1/members
POST /v1/members HTTP/1.1
Host: api.spice.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 36

{
  "username": "text",
  "roles": [
    "text"
  ]
}
{
  "user_id": 1,
  "username": "text",
  "roles": [
    "text"
  ],
  "created_at": "2026-01-01T00:00:00.000Z"
}

Get a member

get

Returns details for a specific organization member, including their roles.

Authorizations
AuthorizationstringRequired

OAuth 2.0 access token obtained from the Spice.ai authentication service

Path parameters
memberIdintegerRequired

The user ID of the member

Responses
200

Member details

application/json
user_idintegerOptional
usernamestringOptional
rolesstring[]Optional
is_ownerbooleanOptional
created_atstring · date-timeOptional
get/v1/members/{memberId}
GET /v1/members/{memberId} HTTP/1.1
Host: api.spice.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "user_id": 1,
  "username": "text",
  "roles": [
    "text"
  ],
  "is_owner": true,
  "created_at": "2026-01-01T00:00:00.000Z"
}

Remove a member

delete

Removes a member from the organization. Organization owners cannot be removed.

Authorizations
AuthorizationstringRequired

OAuth 2.0 access token obtained from the Spice.ai authentication service

Path parameters
memberIdintegerRequired

The user ID of the member

Responses
204

Member removed successfully

No content

delete/v1/members/{memberId}
DELETE /v1/members/{memberId} HTTP/1.1
Host: api.spice.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Update a member's roles

patch

Updates the roles assigned to a specific organization member. Organization owners cannot have their roles modified.

Authorizations
AuthorizationstringRequired

OAuth 2.0 access token obtained from the Spice.ai authentication service

Path parameters
memberIdintegerRequired

The user ID of the member

Body
rolesstring[]Required

New roles to assign to the member

Responses
200

Member roles updated successfully

application/json
user_idintegerOptional
usernamestringOptional
rolesstring[]Optional
created_atstring · date-timeOptional
patch/v1/members/{memberId}
PATCH /v1/members/{memberId} HTTP/1.1
Host: api.spice.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 18

{
  "roles": [
    "text"
  ]
}
{
  "user_id": 1,
  "username": "text",
  "roles": [
    "text"
  ],
  "created_at": "2026-01-01T00:00:00.000Z"
}

Last updated

Was this helpful?